/*
 * key.c
 *
 *  Created on: 2022Äê3ÔÂ5ÈÕ
 *      Author: wuwen
 */


#include "key.h"

struct button k1,k2,k3;

void GEI_BUTTON_CODE(struct button *bt,uint8_t in)
{
    #define t 250
    bt->code=0;
    if(in==0)
    {
        if(bt->lock==0)
        {
            if(HAL_GetTick()<bt->time+t)
            {
                bt->times++;
                bt->time=HAL_GetTick();
                bt->lock=1;

            }else
            {
                bt->times=1;
                bt->time=HAL_GetTick();
                bt->lock=1;
            }

        }
        if(bt->lock==1)
        {
            if(HAL_GetTick()>bt->time+t)
            {
                bt->code=-1;
                bt->times=-1;
            }
        }

    }

    if(in==1)
    {
        if(bt->lock==1)
        {
            if(bt->code==-1)
            {

            }else
            {
                bt->code=bt->times;
            }
            bt->lock=0;
        }

    }

}
